Download it now!
Bug 49428 - Broken cross references to inserted sections - EDITING
Summary: Broken cross references to inserted sections - EDITING
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2012-05-03 06:17 UTC by jrdegan
Modified: 2018-07-23 02:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
two files providing example (62.37 KB, application/x-zip-compressed)
2012-05-03 06:17 UTC, jrdegan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jrdegan 2012-05-03 06:17:23 UTC
Created attachment 60969 [details]
two files providing example

I want to insert Document A into Document B as Chapter N.  Both docs are from same template, same styles. Examples attached.

Insert -> Section -> Link

Document A appears as Chapter N in Doc B, properly formatted.  Table of Contents recognizes the new chapter.  

I then create a cross reference in Doc B to Chapter N.  The cross reference appears.  I save, I close.

Then, when I reopen, I get the error "Error: Reference source not found" in the place of the cross reference. I can still see Chapter N.  It is still in the ToC, still referenced as a Section.  But the cross reference does not work.
I tested this on both Windows 7 and Linux (Ubuntu 12.04).
Comment 1 Jean-Baptiste Faure 2012-05-06 09:03:29 UTC
Hmmm, why not use master document? Master document is designed for this kind of use.

That said, I reproduce the described behavior with the master (Build ID: 32af02b) under Ubuntu 11.10 x86_64.

Best regards. JBF
Comment 2 jrdegan 2012-05-29 08:26:47 UTC
I did not use a Master document because what I wanted to achieve was something fairly simple (or so I thought).
Comment 3 QA Administrators 2013-05-26 22:32:00 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2013-07-08 21:22:24 UTC Comment hidden (obsolete)
Comment 5 Jean-Baptiste Faure 2013-07-12 20:24:56 UTC
Hmmm, I am afraid I should have confirmed this bug report because I reproduced the behavior described by the reporter. For me the bug is still reproducible with current 4.1 branch (actually Version: 4.1.1.0.0+ Build ID: 5156749cde88c5274b36a22dab7b561d59b93cf)
Will set the bug as NEW.

Best regards. JBF
Comment 6 QA Administrators 2015-04-01 14:42:13 UTC Comment hidden (obsolete)
Comment 7 Jean-Baptiste Faure 2015-04-12 07:05:48 UTC
Nothing changed. Tested with LibreOffice 4.4.3.0.0+ built at home under Ubuntu 14.10 x86-64

Best regards. JBF
Comment 8 tommy27 2016-04-16 07:25:02 UTC Comment hidden (obsolete)
Comment 9 Jean-Baptiste Faure 2016-04-30 16:57:21 UTC
Nothing changed in LO 5.1.4.0.0+ and master, both build at home under Ubuntu
16.04 x86-64.

Best regards. JBF
Comment 10 QA Administrators 2017-05-22 13:39:47 UTC Comment hidden (obsolete)
Comment 11 Jean-Baptiste Faure 2017-07-22 15:59:34 UTC
Nothing changed. Tested with LibreOffice 5.4.1.0.0+ built at home under Ubuntu 16.04 x86-64

Best regards. JBF
Comment 12 QA Administrators 2018-07-23 02:32:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug